parties:
  - id: urn:ids:bob
    name: Bob
    type: IDS
    accessUrl: http://localhost:8080/router/workflow/1
  - id: urn:ids:dave
    name: Dave
    type: IDS
    accessUrl: http://localhost:8080/router/workflow/2
idsid: urn:ids:alice
container:
  name: localhost
  image:
    name: registry.ids.smart-connected.nl/mpc
    tag: latest
    pullSecretName: ids-registry-secret
  ports:
    - 40000/alice
  environment:
    MPC_ROLE: "main"
  configuration:
    # Example
    - filename: mpc-constants.json
      content: |-
        {
          "seed": 76543224545454234
        }
accessUrl: "http://localhost:40000/alice"
steps:
  - name: "initialize"
    input:
      - type: "http"
        endpoint: "/initialize/start"
        autoInitiate: true
        from:
          - "self"
      - type: "http"
        endpoint: "/initialize/mpc-constants"
        count: 3
        from:
          - "urn:ids:bob"
    output:
      - type: "http"
        count: 3
        to:
          - id: "urn:ids:bob"
            endpoint: "/initialize/input/1"
#      - type: "http"
#        to:
#          - id: "urn:ids:dave"
#            endpoint: "/intersect/input/0"
  - name: "learning"
    depends_on:
      - "initialize"
    output:
      - type: "http"
        to:
          - id: "urn:ids:dave"
            endpoint: "/intersect/input/0"
    input:
      - type: "http"
        endpoint: "/learning/input"
        from:
          - "urn:ids:dave"
  - name: "distributeShare"
    depends_on:
      - "learning"
    output:
      - type: "http"
        to:
          - id: "urn:ids:dave"
            endpoint: "/distributeShares/input/0"
    input:
      - type: "http"
        endpoint: "/distributeShare/input"
        from:
          - "urn:ids:dave"
#      -  TO DB
